# Console
**Inherits:** [Node](https://docs.godotengine.org/de/4.x/classes/class_node.html)
    


## Properties

| Name                       | Type                                                                      | Default |
| -------------------------- | ------------------------------------------------------------------------- | ------- |
| [_console](#prop--console) | [Node3D](https://docs.godotengine.org/de/4.x/classes/class_node3d.html)   | `null`  |
| [main](#prop-main)         | [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) |         |

## Methods

| Returns | Name                                                                                               |
| ------- | -------------------------------------------------------------------------------------------------- |
| void    | [_ready](#-ready) (  )                                                                             |
| void    | [init_console](#init-console) (  )                                                                 |
| void    | [log](#log) ( message: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) ) |





## Constants

### console_scene = `<Object>` {#const-console-scene}

No description provided yet.

## Property Descriptions

### _console: [Node3D](https://docs.godotengine.org/de/4.x/classes/class_node3d.html) {#prop--console}

No description provided yet.

### main: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) {#prop-main}

No description provided yet.

## Method Descriptions

###  _ready ( ) -> void {#-ready}

No description provided yet.

###  init_console ( ) -> void {#init-console}

No description provided yet.

###  log (message: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html)  ) -> void {#log}

No description provided yet.
